This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1016293 - ValueError: invalid target size request [NEEDINFO]
ValueError: invalid target size request
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:3fa2164c1c1dcc057b06d94d247...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 15:51 EDT by rafael-f-oliveira
Modified: 2014-08-13 11:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-13 11:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dlehman: needinfo? (rafael-f-oliveira)


Attachments (Terms of Use)

  None (edit)
Description rafael-f-oliveira 2013-10-07 15:51:14 EDT
Description of problem:
Custom partioning error...

Version-Release number of selected component:
anaconda-19.30.13-1.fc19.x86_64

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 207, in _setTargetSize
    raise ValueError("invalid target size request")
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 589, in __init__
    self.device.format.targetSize = newsize
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1211, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1399, in _save_right_side
    self.__storage.resizeDevice(device, size)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2363, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2374, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 218, in _onSelectorClicked
    cb(selector)
ValueError: invalid target size request

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=UUID=8284-86DD rootfstype=vfat ro rd.live.image quiet rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19
Comment 1 David Lehman 2013-10-07 17:36:16 EDT
Please find the crash report (/tmp/anaconda-tb-*) and attach it to this report. Thanks.

Note You need to log in before you can comment on or make changes to this bug.